.nft-card {
  display: flex;
  height: fit-content;
  flex-direction: column;
  width: 250px;
  padding: 1rem;
  border-radius: 0.5rem;
  gap: 1rem;
  background-color: hsl(216, 50%, 16%);
  box-shadow: 1px 1px 6px 1px hsl(215, 32%, 27%);

  .nft-image {
    display: flex;
    border-radius: 0.5rem;
  }
  .primary-text {
    font-size: 1.25rem;
    font-weight: 700;
    color: white;
  }
  .secondary-text {
    font-size: 0.875rem;
    color: hsl(215, 51%, 70%);
  }

  .pricing {
    display: flex;
    flex: 1;
    justify-content: space-between;

    .eth {
      display: flex;
      align-items: center;
      gap: 0.5rem;
      flex: 1;
      font-size: 0.875rem;
      font-weight: 400;
      letter-spacing: 1px;
      color: hsl(178, 100%, 50%);
    }
    .timeline {
      display: flex;
      flex: 1;
      justify-content: flex-end;
      gap: 0.5rem;
      align-items: center;
      font-size: 0.875rem;
      font-weight: 400;
      color: hsl(215, 51%, 70%);
    }
  }
  .footer {
    display: flex;
    flex: 1;
    padding-bottom: 1rem;
    padding-top: 1rem;
    border-top: 1px solid hsl(215, 32%, 27%);
    align-items: center;
    gap: 1rem;
    font-size: 0.875rem;
    color: hsl(215, 51%, 70%);

    .avatar {
      width: 30px;
      border-radius: 50%;
      border: 2px solid hsl(215, 32%, 27%);
      height: 30px;
    }

    span {
      color: white;
    }
  }
}
p {
  margin: 0;
}
